# Makefile for pnmtopng/pngtopnm
# Copyright (C) 1995-1998 Willem van Schaik

CC = cc -O -Wall
CP = cp
RM = rm

# change to match your directories
# it is suggested that you place things like libpng and zlib in 
# version-specific directories like ../zlib-1.0 and that you make a 
# symbolic link like "ln -s zlib-1.0 zlib" in the .. directory 

LIBPNG = ../libpng
ZLIB = ../zlib
NETPBM = ../netpbm
#NETPBM = /usr/local/netpbm

# where "make install" puts pnmtopng and pngtopnm

INSTDIR = $(NETPBM)/pnm
#INSTDIR = /usr/local

CCFLAGS = \
	-I$(LIBPNG) \
	-I$(ZLIB) \
	-I$(NETPBM) \
	-I$(NETPBM)/pnm \
	-I$(NETPBM)/ppm \
	-I$(NETPBM)/pgm \
	-I$(NETPBM)/pbm

LDFLAGS = \
	-L. \
	-L$(LIBPNG) \
	-L$(ZLIB) \
	-L$(NETPBM)/pnm \
	-L$(NETPBM)/ppm \
	-L$(NETPBM)/pgm \
	-L$(NETPBM)/pbm

SRCS = pnmtopng.c pngtopnm.c
OBJS = pnmtopng.o pngtopnm.o
LIBS = -lpng -lz -lpnm -lppm -lpgm -lpbm -lm
EXES = pnmtopng pngtopnm

# dependency rules

all: pnmtopng pngtopnm

pnmtopng.o: pnmtopng.c version.h
	$(CC) -c $(CCFLAGS) pnmtopng.c

pnmtopng: pnmtopng.o
	$(CC) $(LDFLAGS) -o pnmtopng pnmtopng.o $(LIBS) 

pngtopnm.o: pngtopnm.c version.h
	$(CC) -c $(CCFLAGS) pngtopnm.c

pngtopnm: pngtopnm.o
	$(CC) $(LDFLAGS) -o pngtopnm pngtopnm.o $(LIBS) 

install: all
	$(CP) pnmtopng $(INSTDIR)/bin
	$(CP) pnmtopng.1 $(INSTDIR)/man/man1
	$(CP) pngtopnm $(INSTDIR)/bin
	$(CP) pngtopnm.1 $(INSTDIR)/man/man1

clean:
	$(RM) -f *.o pnmtopng pngtopnm

# end of makefile
